
#ifndef header_gameobject_ghost
#define header_gameobject_ghost

#if _MSC_VER > 1000
#pragma once
#endif

#include "gameobject_moving.h"

class GameObject_Ghost : public GameObject_Moving
{
//!Construction:
public:
	//: Construct ghost at (x,y).
	GameObject_Ghost(int x, int y, World *world);

//!Operations:
public:
	//: Draw ghost on graphic context.
	virtual void show(int view_x, int view_y, CL_GraphicContext *gc = 0);

	//: Move ghost.
	virtual bool turn(float time_elapsed);
	
//!Implementation:
private:
	//: Called when ghost reaches its destination.
	virtual bool event_reached_dest();
	
	int anim_pos, anim_dir;

	int move_dir;
	
	bool red_ghost;

	CL_Sprite spr_ghost;

	CL_SoundBuffer sfx_ghost;

	CL_SoundBuffer sfx_ghost_dead;
};

#endif
